org.apache.olingo.client.api.uri

## Enum QueryOption

- java.lang.Object
- - java.lang.Enum<QueryOption>
  - - org.apache.olingo.client.api.uri.QueryOption

- All Implemented Interfaces:
    Serializable, Comparable<QueryOption>

      public enum QueryOption
      extends Enum<QueryOption>

  Query options.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNT` The $count system query option allows clients to request a count of the matching resources included with the resources in the response.
    `EXPAND` This option indicates entities associated with the EntityType instance or EntitySet, identified by the resource path section of the URI, and MUST be represented inline in the data service's response.
    `FILTER` This option specifies a predicate used to filter the elements from the EntitySet identified by the resource path section of the URI.
    `FORMAT` This option specifies the media type acceptable in a response.
    `ID` The entity-id specified by $id may be expressed absolute or relative to the request URL.
    `LEVELS` Cyclic navigation properties (whose target type is identical or can be cast to its source type) can be recursively expanded using the special `$levels` option.
    `ORDERBY` This option specifies the sort properties and sort direction (ascending or descending) that the data service MUST use to order the entities in the EntitySet, identified by the resource path section of the URI.
    `SEARCH` Search expressions are used within the $search system query option to request entities matching the specified expression.
    `SELECT` This option is used to specify that a subset of the properties of the entities identified by the path of the request URI and $expand query option SHOULD be returned in the response from the data service.
    `SKIP` This option specifies a positive integer N that represents the number of entities, counted from the first entity in the EntitySet and ordered as specified by the $orderby option, that the data service should skip when returning the entities in the EntitySet, which is identified by the resource path section of the URI.
    `SKIPTOKEN` The value of a $skiptoken query option is an opaque token which identifies an index into the collection of entities identified by the URI containing the $skiptoken parameter.
    `TOP` This option specifies a positive integer N that is the maximum number of entities in the EntitySet, identified by the resource path section of the URI, that the data service MUST return.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static QueryOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final QueryOption ID

      The entity-id specified by $id may be expressed absolute or relative to the request URL.

    - #### COUNT

          public static final QueryOption COUNT

      The $count system query option allows clients to request a count of the matching resources included with the resources in the response. The $count query option has a Boolean value of true or false.

    - #### EXPAND

          public static final QueryOption EXPAND

      This option indicates entities associated with the EntityType instance or EntitySet, identified by the resource path section of the URI, and MUST be represented inline in the data service's response.

    - #### LEVELS

          public static final QueryOption LEVELS

      Cyclic navigation properties (whose target type is identical or can be cast to its source type) can be recursively expanded using the special `$levels` option. The value of the $levels option is either a positive integer to specify the number of levels to expand, or the literal string max to specify the maximum expansion level supported by that service.

    - #### FORMAT

          public static final QueryOption FORMAT

      This option specifies the media type acceptable in a response. If present, this value SHOULD take precedence over value(s) specified in an Accept request header.

    - #### SELECT

          public static final QueryOption SELECT

      This option is used to specify that a subset of the properties of the entities identified by the path of the request URI and $expand query option SHOULD be returned in the response from the data service.

    - #### ORDERBY

          public static final QueryOption ORDERBY

      This option specifies the sort properties and sort direction (ascending or descending) that the data service MUST use to order the entities in the EntitySet, identified by the resource path section of the URI.

    - #### TOP

          public static final QueryOption TOP

      This option specifies a positive integer N that is the maximum number of entities in the EntitySet, identified by the resource path section of the URI, that the data service MUST return.

    - #### SKIP

          public static final QueryOption SKIP

      This option specifies a positive integer N that represents the number of entities, counted from the first entity in the EntitySet and ordered as specified by the $orderby option, that the data service should skip when returning the entities in the EntitySet, which is identified by the resource path section of the URI. The data service SHOULD return all subsequent entities, starting from the one in position N+1.

    - #### SKIPTOKEN

          public static final QueryOption SKIPTOKEN

      The value of a $skiptoken query option is an opaque token which identifies an index into the collection of entities identified by the URI containing the $skiptoken parameter.

    - #### FILTER

          public static final QueryOption FILTER

      This option specifies a predicate used to filter the elements from the EntitySet identified by the resource path section of the URI.

    - #### SEARCH

          public static final QueryOption SEARCH

      Search expressions are used within the $search system query option to request entities matching the specified expression.

  - ### Method Detail

    - #### values

          public static QueryOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryOption c : QueryOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<QueryOption>`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.